Bug 1465947 - [DS 10.1.1] Document the behavior of plugin nsslapd-pluginargs and friendly config names in the console
[DS 10.1.1] Document the behavior of plugin nsslapd-pluginargs and friendly c...
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-release-notes (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
Marc Muehlfeld
: 1471716 (view as bug list)
Depends On: 1466653 1473373
  Show dependency treegraph
Reported: 2017-06-28 09:54 EDT by mreynolds
Modified: 2017-08-30 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In Red Hat Directory Server 10, you can configure certain plug-ins, such as *Attribute Uniqueness* and "Referential Integrity*, using either the new plug-in configuration parameters or the old-style "nsslapd-pluginarg*" parameters. If both parameters types are present in the plug-in configuration, the new configuration parameters take precedence and the old plug-in argument style parameters are ignored. To avoid problems, Red Hat recommends using the *Advanced Editor* in the Directory Server Console to configure a plug-in's arguments. For further details, see https://access.redhat.com/documentation/en-us/red_hat_directory_server/10/html/administration_guide/using-ds-plugins#configuring_plug-ins
Story Points: ---
Clone Of:
Last Closed: 2017-08-10 03:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mreynolds 2017-06-28 09:54:31 EDT

In DS 10 we introduced "friendly" plugin configuration attribute names to replace nsslapd-pluginargs# for a few plugins.  The server still accepts the plugin args, but if the new friendly attributes are being used they will override the nsslapd-pluginargs.

So if the plugin is already using the new attributes, and a user updates the nsslapd-plugins args in the console then those changes are actually silently ignored.  This behavior is discussed in this doc for example:


The admin guide should discourage the use of plugins arguments in the console for these two plugins below, instead we should use the "advanced editor" to set the new "friendly names":

[1]  Attribute uniqueness plugin

This information is correct:



This is outdated:


Now this link below does use the new names, but not in the link above:


[2]  Referential Integrity plugin



Some of this needs to be cleaned up, but not all:


These should really reference:

Comment 1 mreynolds 2017-06-28 09:57:23 EDT
Actually this bug is two parts:

[1]  Release notes - we should state that the "friendly names" override the nsslapd-pluginargsN, and that the console's "Advanced editor" should be used for RI and attr uniqueness plugins.

[2]  Admin guide should be cleaned up as mentioned in the bug description above.
Comment 2 Marc Muehlfeld 2017-06-30 03:26:27 EDT
I created BZ#1466653 to create a general section in the DS Admin Guide about configuring plug-ins. It will include the recommendation to use the Advanced Editor. This section I will then additionally link from the Release Note.
Comment 4 Marc Muehlfeld 2017-07-27 11:28:48 EDT
Attribute Uniqueness plug-in:
I rewrote the whole section: I work on this in BZ#1473373
It's currently on SME review (tbordaz).
Comment 7 Marc Muehlfeld 2017-08-10 03:34:59 EDT
The update is now available on the Customer Portal.
Comment 8 Marc Muehlfeld 2017-08-30 08:52:54 EDT
*** Bug 1471716 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.